# SourcePath: lrzsz/20070620dev
Summary: X/Y/ZModem package
Name: sony-target-dev-lrzsz
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-lrzsz
Version: 0.12.20
Release: 08000401
License 	: GPL2

Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}

Source: lrzsz-%{version}.tar.gz

Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}

%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
lrzsz is a unix communication package providing the XMODEM, YMODEM
ZMODEM file transfer protocols. lrzsz is a heavily rehacked version of
the last public domain release of Omen Technologies rzsz package, and
is now free software and released under the GNU General Public
Licence.

%package -n %{pkgname}
Summary: X/Y/ZModem package
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
lrzsz is a unix communication package providing the XMODEM, YMODEM
ZMODEM file transfer protocols. lrzsz is a heavily rehacked version of
the last public domain release of Omen Technologies rzsz package, and
is now free software and released under the GNU General Public
Licence.

%prep

%setup -n lrzsz-%{version}


%build
%sony_target_dev_setup

export ac_cv_lib_nsl_gethostbyname=no
%sony_target_dev_configure

make all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall | tee -a build.log

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lrb
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lrx
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lsb
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lsx

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/lrz
%{sony_target_dir}%{sony_target_dev_bin_dir}/lsz

%changelog
* Thu Jan 28 2021 Sony Corporation
- Initial build for CE Linux 8.0.4.X

* Fri Feb 01 2019 Sony Corporation
- Initial build for 8.0.3.0.

* Wed Nov 30 2016 Sony Corporation
- Initial build for 8.0.2.0.

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x

* Thu Sep 06 2007 Sony Corporation
- Prepared for CE3.x and CE4.x.

* Wed Jun 20 2007 Sony Corporation - dev-lrzsz
- Initial build.
